Package com.jangular.backend.security

# Class CustomUserDetailsService

java.lang.Object
com.jangular.backend.security.CustomUserDetailsService

All Implemented Interfaces:
  `org.springframework.security.core.userdetails.UserDetailsService`

@Service public class CustomUserDetailsService extends Object implements org.springframework.security.core.userdetails.UserDetailsService

## Constructor Summary

Constructors
Constructor
Description
`CustomUserDetailsService()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.userdetails.UserDetails`
`findByUsername(String username)`
`org.springframework.security.core.userdetails.UserDetails`
`loadUserById(Long id)`
`org.springframework.security.core.userdetails.UserDetails`
`loadUserByUsername(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomUserDetailsService

public CustomUserDetailsService()

## Method Details

### loadUserByUsername

@Transactional(readOnly=true) public org.springframework.security.core.userdetails.UserDetails loadUserByUsername(String username) throws org.springframework.security.core.userdetails.UsernameNotFoundException

Specified by:
  `loadUserByUsername` in interface `org.springframework.security.core.userdetails.UserDetailsService`
Throws:
  `org.springframework.security.core.userdetails.UsernameNotFoundException`

### loadUserById

@Transactional(readOnly=true) public org.springframework.security.core.userdetails.UserDetails loadUserById(Long id)

### findByUsername

@Transactional(readOnly=true) public org.springframework.security.core.userdetails.UserDetails findByUsername(String username)